/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */
#ifndef __GdomStyleSheet_H__
#define __GdomStyleSheet_H__
#include <webkit/webkitdefines.h>
#include "gdom/GdomDOMObject.h"
#include "glib-object.h"


G_BEGIN_DECLS

typedef struct _GdomStyleSheet GdomStyleSheet;
typedef struct _GdomStyleSheetClass GdomStyleSheetClass;


#define GDOM_TYPE_STYLE_SHEET            (gdom_style_sheet_get_type())
#define GDOM_STYLE_SHEET(obj)            (G_TYPE_CHECK_INSTANCE_CAST((obj), GDOM_TYPE_STYLE_SHEET, GdomStyleSheet))
#define GDOM_STYLE_SHEET_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST((klass),  GDOM_TYPE_STYLE_SHEET, GdomStyleSheet)Class)
#define GDOM_IS_STYLE_SHEET(obj)         (G_TYPE_CHECK_INSTANCE_TYPE((obj), GDOM_TYPE_STYLE_SHEET))
#define GDOM_IS_STYLE_SHEET_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE((klass),  GDOM_TYPE_STYLE_SHEET))
#define GDOM_STYLE_SHEET_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS((obj),  GDOM_TYPE_STYLE_SHEET, GdomStyleSheetClass))

typedef struct _GdomStyleSheetPrivate GdomStyleSheetPrivate;

struct _GdomStyleSheet {
    GdomDOMObject parent_instance;
    GdomStyleSheetPrivate *priv;
};

struct _GdomStyleSheetClass {
    GObjectClass parent_class;
};

WEBKIT_API GType
gdom_style_sheet_get_type (void);

G_END_DECLS

#endif /* __GdomStyleSheet_H__ */
